#
# spec file for package aespipe
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           aespipe
Version:        2.4d
Release:        4.13
Summary:        AES Encrypting/Decrypting Pipe
License:        GPL-2.0
Group:          Productivity/Security
Url:            http://loop-aes.sourceforge.net/
Source:         http://loop-aes.sourceforge.net/aespipe/aespipe-v%{version}.tar.bz2
BuildRequires:  autoconf
BuildRequires:  automake
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
aespipe program is AES encrypting or decrypting pipe. It reads from standard
input and writes to standard output. It can be used to create and restore
encrypted tar or cpio archives. It can be used to encrypt and decrypt loop-AES
compatible encrypted disk images.

%prep
%setup -q -n "aespipe-v%{version}"
patch  < aes-GPL.diff

%build
autoreconf -fiv
%configure
make \
%ifarch %ix86
        x86 \
%endif
%ifarch amd64 x86_64 ia32e em64t
        amd64 \
%endif

%check
make %{?_smp_mflags} tests

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
install -m0755 bz2aespipe "%{buildroot}%{_bindir}/"

%files
%defattr(-,root,root)
%doc ChangeLog README
%{_bindir}/aespipe
%{_bindir}/bz2aespipe
%{_mandir}/man1/aespipe.1*

%changelog
* Thu Jun  4 2015 mpluskal@suse.com
- Update to 2.4d
  * no upstream changelog available
- Cleanup spec file with spec-cleaner
- Drop no longer needed aespipe-ppc64le.patch
* Tue Jul 29 2014 dvaleev@suse.com
- Fix PowerPC little endian build
- added patches:
  * aespipe-ppc64le.patch
* Sun Apr  1 2012 bruno@ioda-net.ch
- Fix spec formatting and licence
* Sat Jan 21 2012 bruno@ioda-net.ch
- New packaging for obs / version 2.4.c
* Sun Oct 28 2007 jnelson@jamponi.net
- tweaks for build service
* Fri Apr  6 2007 guru@unixtech.be
- new upstream version
* Mon Dec 11 2006 guru@unixtech.be
- new package
